/// <reference types="node" />
import { Logger } from './logger';
import stream from 'stream';
export declare const pipeline: typeof stream.pipeline.__promisify__;
export type ProcessEnv = {
    [name: string]: string | undefined;
};
export type BuildCommandOptions = {
    cwd: string;
    logger: Logger;
    env: ProcessEnv;
};
export declare function spawnBuildCommand(command: string[], options: BuildCommandOptions): Promise<void>;
export declare function copyRecursive(sourceDir: string, targetDir: string): Promise<void>;
export declare function objhash(value: unknown): string;
export declare function npm(): string[];
export declare function createCppJsStringDefinition(fnName: string, source: string): string;
export declare function createCompressedBlobDefinition(fnName: string, source: Uint8Array): Promise<string>;
