import { Logger } from './logger';
import { ProcessEnv } from './helpers';
export type AddonConfig = {
    path: string;
    requireRegexp: RegExp;
};
export type AddonResult = {
    targetName: string;
    registerFunction: string;
    linkedModuleName: string;
};
type GypConfig = {
    targets?: GypConfig[];
    ['defines']?: string[];
    ['defines!']?: string[];
    type?: string;
    dependencies?: string[];
    ['target_name']?: string;
    includes?: string[];
    variables?: Record<string, string>;
};
export declare function loadGYPConfig(filename: string): Promise<GypConfig>;
export declare function storeGYPConfig(filename: string, config: GypConfig): Promise<void>;
export declare function modifyAddonGyp(addon: AddonConfig, nodeSourcePath: string, env: ProcessEnv, logger: Logger): Promise<AddonResult[]>;
export {};
